Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.linkedView
Class LinkedWithEditorPartListener

    java.lang.Object
      org.eclipse.emf.ecp.ui.linkedView.LinkedWithEditorPartListener

All Implemented Interfaces:
  org.eclipse.ui.IPartListener2

    public class LinkedWithEditorPartListener

extends Object
implements org.eclipse.ui.IPartListener2

Constructor Summary
`LinkedWithEditorPartListener(ILinkedWithEditorView view)`

Method Summary
`void` | `partActivated(org.eclipse.ui.IWorkbenchPartReference ref)`
`void` | `partBroughtToTop(org.eclipse.ui.IWorkbenchPartReference ref)`
`void` | `partClosed(org.eclipse.ui.IWorkbenchPartReference ref)`
`void` | `partDeactivated(org.eclipse.ui.IWorkbenchPartReference ref)`
`void` | `partHidden(org.eclipse.ui.IWorkbenchPartReference ref)`
`void` | `partInputChanged(org.eclipse.ui.IWorkbenchPartReference ref)`
`void` | `partOpened(org.eclipse.ui.IWorkbenchPartReference ref)`
`void` | `partVisible(org.eclipse.ui.IWorkbenchPartReference ref)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkedWithEditorPartListener

    public LinkedWithEditorPartListener(ILinkedWithEditorView view)

Method Detail

### partActivated

    public void partActivated(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partActivated` in interface `org.eclipse.ui.IPartListener2`

### partBroughtToTop

    public void partBroughtToTop(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partBroughtToTop` in interface `org.eclipse.ui.IPartListener2`

### partOpened

    public void partOpened(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partOpened` in interface `org.eclipse.ui.IPartListener2`

### partVisible

    public void partVisible(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partVisible` in interface `org.eclipse.ui.IPartListener2`

### partClosed

    public void partClosed(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partClosed` in interface `org.eclipse.ui.IPartListener2`

### partDeactivated

    public void partDeactivated(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partDeactivated` in interface `org.eclipse.ui.IPartListener2`

### partHidden

    public void partHidden(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partHidden` in interface `org.eclipse.ui.IPartListener2`

### partInputChanged

    public void partInputChanged(org.eclipse.ui.IWorkbenchPartReference ref)

  Specified by:
    `partInputChanged` in interface `org.eclipse.ui.IPartListener2`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.